{{ $paginator := .Scratch.Get "pagination" }}
<div class="flex flex-row justify-center my-4">
  <div class="flex pagination flex-row justify-center items-center p-2 space-x-10 border-2 border-lime-100 rounded-lg">
    <!-- https://discourse.gohugo.io/t/solved-big-pagination-need-add/6576/8?u=kaushalmodi -->
    <!--
         Pagination for different values of paginateWindow.

         1:  1+  2   3   4   5   6   7   .  12
         2:  1   2+  3   4   5   6   7   .  12
         3:  1   2   3+  4   5   6   7   .  12
         4:  1   2   3   4+  5   6   7   .  12
         5:  1   2   3   4   5+  6   7   .  12
         6:  1   .   4   5   6+  7   8   .  12
         7:  1   .   5   6   7+  8   9   .  12
         8:  1   .   6   7   8+  9  10  11  12
         9:  1   .   6   7   8   9+ 10  11  12
         10:  1   .   6   7   8   9  10+ 11  12
         11:  1   .   6   7   8   9  10  11+ 12
         12:  1   .   6   7   8   9  10  11  12+
    -->
    {{ $window := .Site.Params.paginateWindow | default 1 }}
    {{ if gt $paginator.TotalPages 1 }}
      {{ $total := $paginator.TotalPages }}
      {{ $size := add 7 (mul 2 $window) }}
      {{ $curr_page := $paginator.PageNumber }}
      {{ $page_num_list := slice }} <!-- Initialize -->
      {{ if (gt $total $size) }}
        {{ if (lt $curr_page (sub $size (add $window 1))) }}
          {{ $page_num_list = (seq 1 (sub $size 2)) }}
        {{ else if (lt (sub $total $curr_page) (sub $size (add $window 2))) }}
          {{ $page_num_list = (seq (add (sub $total $size) 3) $total) }}
        {{ else }}
          {{ $page_num_list = (seq (sub $curr_page $window) (add $curr_page $window)) }}
        {{ end }}
        {{ $page_num_list = (union $page_num_list (slice 1 $total)) }}
      {{ else }}
        {{ $page_num_list = (seq 1 $total) }}
      {{ end }}

      <!-- https://gohugo.io/templates/pagination/#build-the-navigation -->

      {{ if .Paginator.HasPrev }}
        <a class="italic p-1 mx-0.5" href="{{ .Paginator.Prev.URL }}">Newer</a>
      {{ else }}
        <span class="italic text-gray-400 p-1 mx-0.5">Newer</span>
      {{ end }}

      <div class="flex justify-around items-center space-x-3">
        {{ range $paginator.Pagers }}
          {{ $curr_page := .PageNumber }}
          {{ if (in $page_num_list $curr_page) }}
            <a class="p-1 {{ if eq . $paginator -}}font-black border-2 border-gray-400 rounded hover:border-blue-400{{- end -}}" href="{{ .URL }}">
              {{ .PageNumber }}
            </a>
          {{ else if in (slice 2 (sub $total 1)) $curr_page }}
            <a class="p-1" name="">&hellip;</a>
          {{ end }}
        {{ end }}
      </div>


      {{ if .Paginator.HasNext }}
        <a class="italic p-1 mx-0.5" href="{{ .Paginator.Next.URL }}">Older</a>
      {{ else }}
        <span class="italic text-gray-400 p-1 mx-0.5">Older</span>
      {{ end }}

    {{ end }}
  </div>
</div>
